=== debian/changelog ===
reproc (14.2.5-2) unstable; urgency=medium

  * Drop libreproc++14.symbols
  * Update lintian-overrides
  * Update Standards-Version

 -- Valentin Vidic <vvidic@debian.org>  Thu, 08 May 2025 22:59:14 +0200

reproc (14.2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1087394)

 -- Valentin Vidic <vvidic@debian.org>  Wed, 15 May 2024 01:01:01 +0200
