=== debian/control ===
Source: reproc
Section: libs
Priority: optional
Maintainer: Valentin Vidic <vvidic@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/DaanDeMeyer/reproc
Vcs-Browser: https://salsa.debian.org/debian/reproc
Vcs-Git: https://salsa.debian.org/debian/reproc.git

Package: libreproc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libreproc14 (= ${binary:Version}),
 libreproc++14 (= ${binary:Version}),
 ${misc:Depends},
Description: Cross-platform C99/C++11 process library (development files)
 reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
 starting, stopping and communicating with external programs. The main use case
 is executing command line applications directly from C or C++ code and
 retrieving their output.
 .
 This package contains development files for reproc and reproc++.

Package: libreproc14
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Cross-platform C99/C++11 process library (C library)
 reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
 starting, stopping and communicating with external programs. The main use case
 is executing command line applications directly from C or C++ code and
 retrieving their output.
 .
 This package contains the reproc C99 library for working with external
 programs.

Package: libreproc++14
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Cross-platform C99/C++11 process library (C++ library)
 reproc (Redirected Process) is a cross-platform C/C++ library that simplifies
 starting, stopping and communicating with external programs. The main use case
 is executing command line applications directly from C or C++ code and
 retrieving their output.
 .
 This package contains the reproc++ library that depends on reproc and adapts
 its API to an idiomatic C++11 API. It also adds a few extras that simplify
 working with external programs from C++.
